Name:          libiec61883
Version:       1.2.0
Release:       2mamba
Summary:       High level API for streaming DV
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.linux1394.org/
Source:        http://www.linux1394.org/dl/libiec61883-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libraw1394-devel
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
The libiec61883 library provides an higher level API for streaming DV, MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous functionality, this library acts as a filter that accepts DV-frames, MPEG-2 frames or audio samples from the application and breaks these down to isochronous packets, which are transmitted using libraw1394.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description devel
The libiec61883 library provides an higher level API for streaming DV, MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous functionality, this library acts as a filter that accepts DV-frames, MPEG-2 frames or audio samples from the application and breaks these down to isochronous packets, which are transmitted using libraw1394.
This package contains static libraries and header files needed for development.

%package tools
Group:         Development/Libraries
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
The libiec61883 library provides an higher level API for streaming DV, MPEG-2 and audio over IEEE1394.  Based on the libraw1394 isochronous functionality, this library acts as a filter that accepts DV-frames, MPEG-2 frames or audio samples from the application and breaks these down to isochronous packets, which are transmitted using libraw1394.
This package contains tools provided with %{name}.

%debug_package

%prep
%setup -q
sed -i "s,| arm-\*  |,| aarch64-\* | arm-\*  |," config.sub

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libiec61883.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/libiec61883.a
%{_libdir}/libiec61883.la
%{_libdir}/libiec61883.so
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%files tools
%defattr(-,root,root)
%{_bindir}/plugctl
%{_bindir}/plugreport
%{_mandir}/man1/*

%changelog
* Wed Dec 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- rebuilt with debug package, aarch 64 build fix, added tools subpackage

* Fri Mar 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- automatic update by autodist

* Wed Jan 07 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- automatic rebuild by autodist

* Tue Oct 24 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 1.1.0-1qilnx
- moved from devel-contrib repository to devel repository
- update to version 1.1.0 by autospec

* Mon Feb 13 2006 Matteo Bernasconi <voyagernm@virgilio.it> 1.0.0-1qilnx
- first build
